! Note: nagfor requires switch -f2003 to avoid warnings, g95/gfortran ok without
module catcorr_mod
use types
use errorHandling
use param
use catcorr_minor	! defined in catprep
use catcorr_aux
implicit none
! Requires command-line argument srclistset=filename for name of input OBSMLI file
! It also requires a second parameter catset=catextract which
!   specifies the name of a catalogue extract file produced by catprep task.
!
integer  :: minGood
real     :: minFit, maxOffset, syserr, maxpofferr
logical :: astcorr
character(1024) :: inOutFile, catextract	! Size defined in /param/src/param.f90
!
contains
!------------------------------------------------------------------------------
subroutine catcorr
implicit none
integer :: status	! , nfiles, mingood
status = 0
inOutFile = stringParameter('srclistset')
catextract = stringParameter('catset')
minGood    = intParameter('mingood')
minFit     = realParameter('minfit')
maxOffset  = realParameter('maxoffset')
syserr     = realParameter('syserr')
maxpofferr = realParameter('maxpofferr')
astcorr    = booleanParameter('astcorr')
!
call catcorr_top(inOutFile, catextract, mingood, minfit, maxoffset, &
                 syserr, maxpofferr, astcorr, status)
!
end subroutine catcorr

end module catcorr_mod
